#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.h"
#include "histogram_internal.h"
#include "input_colors_internal.h"

TEST_CASE("Mistakes in spelling") {
    std::string colors_stroke = "black";
    std::string colors_fill = "green";
    input_colors(colors_stroke, colors_fill);
    CHECK(colors_stroke == "yellow");
    CHECK(colors_fill == "pink");
}

TEST_CASE("The answer is No") {
    std::string colors_stroke = "black";
    std::string colors_fill = "green";
    input_colors(colors_stroke, colors_fill);
    CHECK(colors_stroke == "black");
    CHECK(colors_fill == "green");
}

TEST_CASE("distinct positive numbers") {
    double min = 0;
    double max = 0;
    find_minmax({1, 2}, min, max);
    CHECK(min == 1);
    CHECK(max == 2);
}

TEST_CASE("empty vector"){
    double min = 0;
    double max = 0;
    find_minmax({ 0, 0 }, min, max);
    CHECK(min == 0);
    CHECK(max == 0);
}

TEST_CASE("same elements"){
    double min = 0;
    double max = 0;
    find_minmax({ 1, 1 }, min, max);
    CHECK(min == max);
    CHECK(max == min);
}
